body {
    margin: 0;
    font-family: monospace;
    background: #000;
}

/*This is all for top header and nav*/

.header {
    width: 100%;   
}

/*Basic Nav*/

.nav {
    display: flex;
    justify-content: space-between;
    align-items: center;

    background: #111;
    padding: 18px 30px;
    border-radius: 0 0 12px 12px;

    max-width: 900px;
    margin: auto;
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 40px;
    margin: 0;
    padding: 0;
}

.nav-links a {
    color: #ccc;
    text-decoration: none;
    font-size: 14px;
}

.nav-links a:hover {
    color: white;
}

/*Linked in section*/

.social {
    display: flex;
    gap: 20px;
}

.social a {
    color: #ccc;
    font-size: 18px;
    text-decoration: none;
}

.social a:hover {
    color: white;
}

/* Hero Section*/

.hero {
    max-width: 1100px;
    margin: 100px auto 0 auto;

    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 60px;
}

.hero-text {
    max-width: 500px;
}

.hero-text h1 {
    font-size: 48px;
    color: white;
    margin-bottom: 20px;
}

.hero-text p {
    color: #aaa;
    line-height: 1.6;
    margin-bottom: 30px;
}

.hero-btn {
    background: #222;        
    color: white;
    padding: 14px 28px;
    border: 1px solid #444;
    border-radius: 6px;
    cursor: pointer;
    font-family: monospace;
}

.hero-btn:hover {
    background: #333;
}

.hero-image img {
    width: 400px;      
    height: 400px;
    border-radius: 50%;
    object-fit: cover;
}


/*Contact Section*/

.contact {
    background: white;
    padding: 100px 20px;
    margin-top: 120px;   
}

.contact-container {
    max-width: 900px;
    margin: 0 auto;
    text-align: center;
}

.contact h2 {
    font-size: 36px;
    margin-bottom: 20px;
    color: black;
}

.contact p {
    margin-bottom: 40px;
    color: #444;
}

.email-link {
    display: inline-block;
    margin-top: 20px;
    font-size: 20px;
    color: black;
    text-decoration: none;
    font-weight: bold;
    border-bottom: 2px solid black;
    padding-bottom: 4px;
}

.email-link:hover {
    color: #555;
    border-color: #555;
}

.hamburger {
    display: none;
    font-size: 26px;
    background: none;
    border: none;
    color: white;
    cursor: pointer;
}

.footer {
    background: white;
    text-align: center;
    padding: 40px 20px;
}

.kent-logo {
    width: 120px;     /* controls size */
    height: auto;
    opacity: 0.9;
    border-top: 1px solid #000000;   
}

/*Mobile Hero Section*/

@media (max-width: 768px) {

    .hero {
        flex-direction: column;
        align-items: center;
        text-align: center;

        margin: 60px 20px 0 20px;
        gap: 40px;
    }

    .hero-text {
        max-width: 100%;
    }

    .hero-text h1 {
        font-size: 32px;
    }

    .hero-text p {
        font-size: 14px;
    }

    .hero-btn {
        width: 100%;
        max-width: 250px;
    }

    .hero-image img {
        width: 220px;
        height: 220px;
    }

    .nav-links {
        display: none;
        flex-direction: column;
        position: absolute;
        top: 70px;
        left: 0;
        width: 100%;
        background: #111;
        padding: 20px;
        gap: 20px;
    }

    .nav-links.active {
        display: flex;
    }  
    .nav {
        justify-content: flex-start;
        position: relative;
    }

    .hamburger {
        display: block;
        margin-right: auto;
    }

    .nav-links {
        display: none;
        flex-direction: column;
        gap: 20px;

        position: absolute;
        top: 70px;
        left: 0;

        width: 100%;
        background: #111;
        padding: 20px;
    }

    .nav-links.active {
        display: flex;
    }

    .social {
        display: none;
    }


}



